Bug 1281558 - neutron and neutron-*-agent services often not started after deployment
neutron and neutron-*-agent services often not started after deployment
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 14:06 EST by Jason Montleon
Modified: 2016-07-27 16:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 16:54:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2015-11-12 14:06:27 EST
Description of problem:
I am testing with a single controller and single compute node with RHOS 7. Looking at my director the neutron-server service is occasionally not started on the controller node. Almost always the neutron-l3-agent, neutron-dhcp-agent, and neutron-openvswitch-agent services are not started.

Version-Release number of selected component (if applicable):
See below.

How reproducible:
Almost always

Steps to Reproduce:
1. Install a director
2. Deploy with one controller and one compute node. The only real change I am making is to set the controller public interface to eth1

Actual results:
neutron services frequently found to not be running

Expected results:
neutron-services should be running

Additional info:
Director package versions:
openstack-ceilometer-alarm-2015.1.1-1.el7ost.noarch
openstack-ceilometer-api-2015.1.1-1.el7ost.noarch
openstack-ceilometer-central-2015.1.1-1.el7ost.noarch
openstack-ceilometer-collector-2015.1.1-1.el7ost.noarch
openstack-ceilometer-common-2015.1.1-1.el7ost.noarch
openstack-ceilometer-notification-2015.1.1-1.el7ost.noarch
openstack-dashboard-2015.1.1-4.el7ost.noarch
openstack-dashboard-theme-2015.1.1-4.el7ost.noarch
openstack-glance-2015.1.1-3.el7ost.noarch
openstack-heat-api-2015.1.1-6.el7ost.noarch
openstack-heat-api-cfn-2015.1.1-6.el7ost.noarch
openstack-heat-api-cloudwatch-2015.1.1-6.el7ost.noarch
openstack-heat-common-2015.1.1-6.el7ost.noarch
openstack-heat-engine-2015.1.1-6.el7ost.noarch
openstack-heat-templates-0-0.6.20150605git.el7ost.noarch
openstack-ironic-api-2015.1.1-5.el7ost.noarch
openstack-ironic-common-2015.1.1-5.el7ost.noarch
openstack-ironic-conductor-2015.1.1-5.el7ost.noarch
openstack-ironic-discoverd-1.1.0-7.el7ost.noarch
openstack-keystone-2015.1.1-1.el7ost.noarch
openstack-neutron-2015.1.1-13.el7ost.noarch
openstack-neutron-common-2015.1.1-13.el7ost.noarch
openstack-neutron-ml2-2015.1.1-13.el7ost.noarch
openstack-neutron-openvswitch-2015.1.1-13.el7ost.noarch
openstack-nova-api-2015.1.1-3.el7ost.noarch
openstack-nova-cert-2015.1.1-3.el7ost.noarch
openstack-nova-common-2015.1.1-3.el7ost.noarch
openstack-nova-compute-2015.1.1-3.el7ost.noarch
openstack-nova-conductor-2015.1.1-3.el7ost.noarch
openstack-nova-console-2015.1.1-3.el7ost.noarch
openstack-nova-novncproxy-2015.1.1-3.el7ost.noarch
openstack-nova-scheduler-2015.1.1-3.el7ost.noarch
openstack-puppet-modules-2015.1.8-23.el7ost.noarch
openstack-selinux-0.6.37-1.el7ost.noarch
openstack-swift-2.3.0-2.el7ost.noarch
openstack-swift-account-2.3.0-2.el7ost.noarch
openstack-swift-container-2.3.0-2.el7ost.noarch
openstack-swift-object-2.3.0-2.el7ost.noarch
openstack-swift-plugin-swift3-1.7-3.el7ost.noarch
openstack-swift-proxy-2.3.0-2.el7ost.noarch
openstack-tempest-kilo-20150708.2.el7ost.noarch
openstack-tripleo-0.0.7-0.1.1664e566.el7ost.noarch
openstack-tripleo-common-0.0.1.dev6-3.git49b57eb.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-71.el7ost.noarch
openstack-tripleo-image-elements-0.9.6-10.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.1-5.el7ost.noarch
openstack-tuskar-0.4.18-5.el7ost.noarch
openstack-tuskar-ui-0.4.0-5.el7ost.noarch
openstack-tuskar-ui-extras-0.0.4-2.el7ost.noarch
openstack-utils-2014.2-1.el7ost.noarch
python-django-openstack-auth-1.2.0-5.el7ost.noarch
python-openstackclient-1.0.3-3.el7ost.noarch
redhat-access-plugin-openstack-7.0.0-0.el7ost.noarch


Controller Package Versions:
openstack-ceilometer-alarm-2015.1.1-1.el7ost.noarch
openstack-ceilometer-api-2015.1.1-1.el7ost.noarch
openstack-ceilometer-central-2015.1.1-1.el7ost.noarch
openstack-ceilometer-collector-2015.1.1-1.el7ost.noarch
openstack-ceilometer-common-2015.1.1-1.el7ost.noarch
openstack-ceilometer-compute-2015.1.1-1.el7ost.noarch
openstack-ceilometer-notification-2015.1.1-1.el7ost.noarch
openstack-cinder-2015.1.1-1.el7ost.noarch
openstack-dashboard-2015.1.1-2.el7ost.noarch
openstack-dashboard-theme-2015.1.1-2.el7ost.noarch
openstack-glance-2015.1.1-1.el7ost.noarch
openstack-heat-api-2015.1.1-5.el7ost.noarch
openstack-heat-api-cfn-2015.1.1-5.el7ost.noarch
openstack-heat-api-cloudwatch-2015.1.1-5.el7ost.noarch
openstack-heat-common-2015.1.1-5.el7ost.noarch
openstack-heat-engine-2015.1.1-5.el7ost.noarch
openstack-keystone-2015.1.1-1.el7ost.noarch
openstack-neutron-2015.1.1-6.el7ost.noarch
openstack-neutron-bigswitch-lldp-2015.1.38-1.el7ost.noarch
openstack-neutron-common-2015.1.1-6.el7ost.noarch
openstack-neutron-lbaas-2015.1.1-1.el7ost.noarch
openstack-neutron-metering-agent-2015.1.1-6.el7ost.noarch
openstack-neutron-ml2-2015.1.1-6.el7ost.noarch
openstack-neutron-openvswitch-2015.1.1-6.el7ost.noarch
openstack-nova-api-2015.1.1-1.el7ost.noarch
openstack-nova-cert-2015.1.1-1.el7ost.noarch
openstack-nova-common-2015.1.1-1.el7ost.noarch
openstack-nova-compute-2015.1.1-1.el7ost.noarch
openstack-nova-conductor-2015.1.1-1.el7ost.noarch
openstack-nova-console-2015.1.1-1.el7ost.noarch
openstack-nova-novncproxy-2015.1.1-1.el7ost.noarch
openstack-nova-scheduler-2015.1.1-1.el7ost.noarch
openstack-puppet-modules-2015.1.8-21.el7ost.noarch
openstack-selinux-0.6.37-1.el7ost.noarch
openstack-swift-2.3.0-1.el7ost.noarch
openstack-swift-account-2.3.0-1.el7ost.noarch
openstack-swift-container-2.3.0-1.el7ost.noarch
openstack-swift-object-2.3.0-1.el7ost.noarch
openstack-swift-plugin-swift3-1.7-3.el7ost.noarch
openstack-swift-proxy-2.3.0-1.el7ost.noarch
openstack-utils-2014.2-1.el7ost.noarch
python-django-openstack-auth-1.2.0-5.el7ost.noarch
python-openstackclient-1.0.3-2.el7ost.noarch
redhat-access-plugin-openstack-7.0.0-0.el7ost.noarch
Comment 2 Jaromir Coufal 2015-12-08 05:51:23 EST
Dan, would you mindd to have a quick look whether you see some possible cause?
Comment 3 Dan Sneddon 2016-01-07 19:46:14 EST
(In reply to Jaromir Coufal from comment #2)
> Dan, would you mindd to have a quick look whether you see some possible
> cause?

I'm afraid there isn't enough data here to make any determination. Are there messages in the logs? Please check the Neutron logs and see if there are any errors logged when the services try to start.
Comment 4 Assaf Muller 2016-01-08 16:15:28 EST
Same question as Dan - Please upload /var/log/neutron, /etc/neutron and syslog.
Comment 6 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 8 Jason Montleon 2016-07-05 08:37:05 EDT
Whatever issue I was seeing with OSP 7, this is no longer happening in OSP 8. I'm OK with this bug being closed.

Note You need to log in before you can comment on or make changes to this bug.